Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging
Class SubscribeEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.flex.messaging.SubscribeEvent

All Implemented Interfaces:
  Serializable

    public class SubscribeEvent

extends ApplicationEvent

Event that will be broadcast whenever a Flex client subscribes to a `MessageDestination` that is using one of the Spring-provided `MessagingAdapters`.

Author:
  Jeremy Grelle
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SubscribeEvent(Object source, String clientId, String destinationId)`

Method Summary
`String` | `getClientId()` The client id of the subscribed Flex client.
`String` | `getDestinationId()` The id of the message destination.

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubscribeEvent

    public SubscribeEvent(Object source,
                          String clientId,
                          String destinationId)

Method Detail

### getClientId

    public String getClientId()

  The client id of the subscribed Flex client.

### getDestinationId

    public String getDestinationId()

  The id of the message destination.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.